SGP 3.1.0.387 won't start

I’m having trouble with an error when trying to start V 3.1.0.387. I get an error “Sequence Generator has stopped working”.

If I install an earlier version (ie V3.1.0.353) it runs without issue. What am I missing?

Thanks.

Which version of Windows/.Net are you using ?

Win 7
MS .NET 4.5.2

Simply put, newer versions won’t run on Windows 7 !!

As Windows 7 is about to go out of support (next Jan) and all ‘newer’ software relies on functionality in-built into Windows 10, I’d suggest you consider doing the free upgrade, from 7 to 10.

Yes, I realise many people don’t like to change, and have clouded viewpoints, by supposed horror stories of the newer OS, but it really is the best\reliable that M$ has produced in ages.

It does take some getting used to, but then everything new does, and its also possible to disable most of the ‘fluffy’ junk, and get back down to something you are more used to…

1 Like

Windows 7 is outdated end End of Life next year.
You might be able to update .NET, but i suggest you upgrade to Win 10 and install ClassicShell to get back the Win 7 start menu

1 Like

I wasn’t under the impression it was a free upgrade?

Am I wrong?

It’s still free https://www.zdnet.com/article/heres-how-you-can-still-get-a-free-windows-10-upgrade/

Peter,

while updating to Windows 10 sounds like a good idea, the reason you get the message is SGP needs .NET Version 4.8. Get it from here:

Kind regards,
Horia

1 Like

@peter_4059

Did SGPro give you a warning on start about your .NET version not being up to date? I thought I had put in so that it would appear before crashing… Maybe not…

I have seen the warning when i was on 4.7.2

Oh, dang… you shouldn’t see it for 4.7.2 (that is the version SGPro uses). I’ll look.

Hi Ken,

I didn’t get any warning about the .Net version. Just the screens I posted.

Peter

@Horia , thanks for the tip re DOT NET version. V3.1.0.388 is running fine on Win7 now.

Peter

Might have been an earlier version…4.7.1?..but i did upgrade to the latest (4.8) and it’s gone.
I will se if there’s any logs in Windows about which version was used.

Found it:
[11/18/19 17:55:57.998][DEBUG] [Main Thread] .NET Framework Version: 4.7.1
[11/18/19 17:55:57.998][DEBUG] [Main Thread] .NET version check is bad! SGPro requires .NET 4.7.2!